Bug 97528 - IllegalStateException when changing composites in property sheet
IllegalStateException when changing composites in property sheet
Status: VERIFIED FIXED
Product: xml
Classification: Unclassified
Component: Schema Tools
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Samaresh Panda
issues@xml
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-09 01:16 UTC by htt
Modified: 2007-03-29 23:58 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description htt 2007-03-09 01:16:31 UTC
With 070308_6 (6.0)...

Create/open sample newLoanApplication.xsd
In Design view, 
  expand autoLoanApplication element
  select sequence
  in Properties, change Type from sequence to choice (or all)
==> Java.lang.IllegalStateException: Current thread has already started a
transaction
        at
org.netbeans.modules.xml.xam.AbstractModel.startTransaction(AbstractModel.java:317)
        at
org.netbeans.modules.xml.xam.AbstractModel.startTransaction(AbstractModel.java:312)
        at org.netbeans.modules.xml.axi.Compositor.setType(Compositor.java:99)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at
org.openide.nodes.PropertySupport$Reflection.setValue(PropertySupport.java:299)
        at
org.netbeans.modules.xml.schema.abe.nodes.SchemaModelFlushWrapper.setValue(SchemaModelFlushWrapper.java:60)
        at
org.openide.explorer.propertysheet.NodePropertyModel.setValue(NodePropertyModel.java:88)
        at
org.openide.explorer.propertysheet.PropUtils.noDlgUpdateProp(PropUtils.java:533)
        at
org.openide.explorer.propertysheet.PropUtils.updateProp(PropUtils.java:494)
        at
org.openide.explorer.propertysheet.PropUtils.updateProp(PropUtils.java:606)
        at
org.openide.explorer.propertysheet.SheetCellEditor.stopCellEditing(SheetCellEditor.java:352)
        at
org.openide.explorer.propertysheet.SheetCellEditor.actionPerformed(SheetCellEditor.java:219)
        at javax.swing.JComboBox.fireActionEvent(JComboBox.java:1242)
        at
org.openide.explorer.propertysheet.ComboInplaceEditor.fireActionEvent(ComboInplaceEditor.java:191)
        at javax.swing.JComboBox.setSelectedItem(JComboBox.java:569)
        at
org.openide.explorer.propertysheet.ComboInplaceEditor.setSelectedItem(ComboInplaceEditor.java:171)
        at javax.swing.JComboBox.setSelectedIndex(JComboBox.java:605)
        at
javax.swing.plaf.basic.BasicComboPopup$Handler.mouseReleased(BasicComboPopup.java:814)
        at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:273)
        at java.awt.Component.processMouseEvent(Component.java:6038)
        at javax.swing.JComponent.processMouseEvent(JComponent.java:3260)
        at
javax.swing.plaf.basic.BasicComboPopup$1.processMouseEvent(BasicComboPopup.java:480)
        at java.awt.Component.processEvent(Component.java:5803)
        at java.awt.Container.processEvent(Container.java:2058)
        at java.awt.Component.dispatchEventImpl(Component.java:4410)
        at java.awt.Container.dispatchEventImpl(Container.java:2116)
        at java.awt.Component.dispatchEvent(Component.java:4240)
        at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4322)
        at java.awt.LightweightDispatcher.processMouseEvent(Container.java:3986)
        at java.awt.LightweightDispatcher.dispatchEvent(Container.java:3916)
        at java.awt.Container.dispatchEventImpl(Container.java:2102)
        at java.awt.Window.dispatchEventImpl(Window.java:2429)
        at java.awt.Component.dispatchEvent(Component.java:4240)
[catch] at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
        at
java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:273)
        at
java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:183)
        at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:173)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:168)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:160)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:121)
Comment 1 Samaresh Panda 2007-03-24 05:47:14 UTC
AXIModelUpdater.java, revision 1.6
Comment 2 tonybeckham 2007-03-29 23:58:01 UTC
Fix VERIFIED in build 200703271800


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo